Bug 327811 - Feature Request: record and display entitlement info used to register system [NEEDINFO]
Feature Request: record and display entitlement info used to register system
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.5
All Linux
medium Severity low
: beta
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 11:30 EDT by Anthony Green
Modified: 2010-04-22 07:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 07:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpazdziora: needinfo? (green)


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2007-10-11 11:30:37 EDT
Description of problem:
As far as I can tell, there's no way to tell whether a system was originally
entitled using a 2-socket installation number or an AP installation number. 
Some customers have a need to identify how systems were originally entitled.
It would be nice if data could be made part of the "Initial Registration
Parameters" under System Properties.

For example, it currently says...

Initial Registration Parameters:
OS: redhat-release
Release: 5Server
CPU Arch: athlon-redhat-linux

Could we add a couple of lines that like:

Installation Number: XXXXXXX
Entitlment: AP <- or some other indication as to whether this was an AP or
2-socket entitlement.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 7 Jan Pazdziora 2009-12-01 08:31:27 EST
Taking this bugzilla for investigation per comment 5.
Comment 8 Jan Pazdziora 2009-12-01 08:32:46 EST
Anthony, what are the AP and 2-socket entitlements?
Comment 9 Jan Pazdziora 2009-12-01 08:35:04 EST
Subhendu, seeing that you gave this bugzilla a pm_ack: what are the AP and 2-socket entitlements?
Comment 10 Jan Pazdziora 2009-12-01 08:35:46 EST
Cliff, seeing that you gave this bugzilla a devel_ack: what are the AP and
2-socket entitlements?
Comment 16 Jan Pazdziora 2009-12-10 08:06:57 EST
(In reply to comment #0)
> Description of problem:
> As far as I can tell, there's no way to tell whether a system was originally
> entitled using a 2-socket installation number or an AP installation number. 
> Some customers have a need to identify how systems were originally entitled.

Do the customers really need information about how the system was originally entitled, or how the system is entitled now?

'cause, you can distinguish the normal RHEL 5 (2-socket) from AP by looking at entitlements in the WebUI three fields above the Initial Registration Parameters Description. The AP thing will have [Virtualization Platform] there.

What is the business justification to show past (and possibly no longer valid) entitlement of the system in the WebUI, when in general, neither RHN hosted nor Satellite supports history / track of changes of entitlements in any of the pages?
Comment 19 RHEL Product and Program Management 2010-04-22 07:01:13 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.